#/***************************************************************************
# *   Copyright (C) 2008 by Paul Hardwick                                   *
# *   paul@peck.org.uk                                                      *
# *                                                                         *
# *   This program is free software; you can redistribute it and/or modify  *
# *   it under the terms of the GNU General Public License as published by  *
# *   the Free Software Foundation; either version 2 of the License, or     *
# *   (at your option) any later version.                                   *
# *                                                                         *
# *   This program is distributed in the hope that it will be useful,       *
# *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
# *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
# *   GNU General Public License for more details.                          *
# *                                                                         *
# *   You should have received a copy of the GNU General Public License     *
# *   along with this program; if not, write to the                         *
# *   Free Software Foundation, Inc.,                                       *
# *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
# ***************************************************************************/

_rev = "$Revision: 6 $"[10:-1].strip()
__version__ = "1.2."+_rev
__author__ = "Paul Hardwick <paul@peck.org.uk>"
__date__ = "$Date: 2009-05-24 09:12:11 +0100 (Sun, 24 May 2009) $"[6:18].strip()

#3G Mode dialog

import pygtk
pygtk.require('2.0')
import gtk

class RadioDialog:

    def callback(self, widget, data=None):
        self.item = data
           

    def __init__(self,window, title_text, buttons, default,delbut= 0, width=100,height=-1):
        buts =  (gtk.STOCK_OK, gtk.RESPONSE_ACCEPT)
        if delbut == 1: buts = (gtk.STOCK_DELETE, 666)+buts
        
        self.dialog = gtk.Dialog(title=title_text, parent = window,
                            flags = gtk.DIALOG_MODAL | gtk.DIALOG_DESTROY_WITH_PARENT,
                            buttons=buts)
        self.dialog.set_default_size(width, height)
        self.item=None
        box2 = gtk.VBox(False, 0)
        box2.set_border_width(20)
        box2.show()
        button = None
        for n in range(len(buttons)):
            button = gtk.RadioButton(button, buttons[n])
            button.connect("toggled", self.callback, int(n))
            if n == int(default): button.set_active(True)
            box2.pack_start(button, True, True, 0)
            button.show()     
     
        self.dialog.vbox.pack_start(box2)


    def run(self):
        self.dialog.show_all()
        response = self.dialog.run()
        self.dialog.hide()
        if response == gtk.RESPONSE_ACCEPT:
            return "SEL", self.item
        elif response == 666:
            return "DEL", self.item
        else:
            return None, None
        




    
